View Issue Details

IDProjectCategoryView StatusLast Update
0001326FreeCADBugpublic2014-03-04 11:33
ReporterEpartsmanAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSUbuntuOS VersionLTS 12.04
Product Version0.12 
Target VersionFixed in Version0.14 
Summary0001326: Starting FreeCAD Produces Blank Window with Granite Texture
DescriptionInstalled FreeCAD from both Ubuntu Software Center as well as command line.

In both cases, I get a splash screen with some quickly changing text. Then the main window opens and all I have is the borders, a large area that looks like granite, and a "Report View" pane at the bottom.

Menu options available are File>Exit, Edit>Preferences, View>Workbench> (A whole list here), Help>Help,About and About Qt.

Steps To ReproduceStart FreeCAD
Additional InformationScreenshot Attached.
TagsNo tags attached.

Activities

Epartsman

2013-12-07 03:18

reporter  

Screenshot from 2013-12-06 22:17:15.png (Attachment missing)

wmayer

2013-12-07 11:24

administrator   ~0003927

> View>Workbench> (A whole list here)
Does it work to switch to one of them?

normandc

2013-12-18 03:59

manager   ~0003945

v0.12 is not really maintained by the FreeCAD team. It is really old! Why don't you add one of the two PPA from the FreeCAD project, to update FreeCAD to the latest version... Relevant info is in the wiki.

beckcb

2013-12-19 02:15

reporter   ~0003949

Last edited: 2013-12-19 02:28

View 3 revisions

Starting installed FreeCAD from terminal window:

cbe@b9Lap:~$ freecad
FreeCAD 0.14, Libs: 0.14R2800 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2011

I don't know if this is relevant, but this is my experience of a rather fresh software version:

First of all I get a little confused by the versioning numbers regarding
installed debs which is version 0.14R2800 (Git)
Help dialog window tells me also that this is the "Branch master".
(Taken from a Ubuntu PPA)

When I do git pull from sourceforge.sf master branch it is indicating version 0.13 and a much lower version number.
Am I taking the daily git source pull from wrong repository??
(The cmake/make will not run and is reported separate)
===============

I run Debian Sid Amd64 (Unstable)
Tried to install FreeCAD as a deb package. (The version 014R2800 as shown above)
After initial startup I get only the main menu, and a grey workarea.

I select the Sketcher workbench -> File new ->new sketch icon and get the blue workarea and coordinate crosshairs shown on the screen work area.

When I try to make a line with the linetool nothing happens, and I get following error in the terminal window:

Coin warning in SbDPViewVolume::getMatrices(): invalid frustum
Coin warning in SbDPLine::setValue(): The two points defining the line is equal => line is invalid.
Coin warning in SbDPViewVolume::getMatrices(): invalid frustum
Coin warning in SbDPLine::setValue(): The two points defining the line is equal => line is invalid.


In Part design workbbench trying to make a line I get following error:
Unhandled exception in ViewProvider::eventCallback: Both points are equal
Unhandled exception in ViewProvider::eventCallback: Both points are equal

In Draft workbench:
I can make line and polyline without any problem.

But have in mind that my Debian Sid OS software is unstable version, and the
FreeCAD (Ubuntu)package may be incompatible with my Debian version, even though it installed without any shown error.

This is my versions which differ from what's stated in the wiki:

ii libcoin80 3.1.4~abc9f50-4 amd64
ii libcoin80-dev 3.1.4~abc9f50-4 amd64
ii libcoin80-doc 3.1.4~abc9f50-4 all

ii libfreetype6:amd64 2.5.1-2 amd64 FreeType 2 font engine

This for your information, and hopefully helpful.

wmayer

2013-12-19 09:26

administrator   ~0003950

Coin warning in SbDPViewVolume::getMatrices(): invalid frustum
 Coin warning in SbDPLine::setValue(): The two points defining the line is equal => line is invalid.
 Coin warning in SbDPViewVolume::getMatrices(): invalid frustum
 Coin warning in SbDPLine::setValue(): The two points defining the line is equal => line is invalid.

Unfortunately, there is a regression on the latest SoQt version which always set the near and far clipping plane to weird values if the 3d view is empty. This invalidates the frustum of the camera and thus commands like line creation don't work properly any more.

Last week I have implemented a fix avoiding to invalidate the frustum. So, you should get the latest version from master and try again.

Jriegel

2013-12-23 07:23

administrator   ~0003971

Can you put the fix into 0.13?

I think we should not patch 0.12. Too old...

wmayer

2013-12-23 17:52

administrator   ~0003977

> Can you put the fix into 0.13?
That's probably not needed as only SoQt 1.6 is affected by this regression and version 1.5 doesn't have this change. So, it's currently only relevant for Debian unstable/testing but I think 0.14 will be out soon...

wmayer

2013-12-23 17:52

administrator   ~0003978

Here the link btw: https://bitbucket.org/Coin3D/sogui/diff/viewers/SoGuiViewer.cpp.in?diff2=239bd7ae533d&at=default

wmayer

2014-03-04 11:33

administrator   ~0004379

I consider this fixed.

Issue History

Date Modified Username Field Change
2013-12-07 03:18 Epartsman New Issue
2013-12-07 03:18 Epartsman File Added: Screenshot from 2013-12-06 22:17:15.png
2013-12-07 11:24 wmayer Note Added: 0003927
2013-12-18 03:59 normandc Note Added: 0003945
2013-12-19 02:15 beckcb Note Added: 0003949
2013-12-19 02:23 beckcb Note Edited: 0003949 View Revisions
2013-12-19 02:28 beckcb Note Edited: 0003949 View Revisions
2013-12-19 09:26 wmayer Note Added: 0003950
2013-12-23 07:23 Jriegel Note Added: 0003971
2013-12-23 07:24 Jriegel Status new => acknowledged
2013-12-23 17:52 wmayer Note Added: 0003977
2013-12-23 17:52 wmayer Note Added: 0003978
2014-03-04 11:33 wmayer Note Added: 0004379
2014-03-04 11:33 wmayer Status acknowledged => closed
2014-03-04 11:33 wmayer Assigned To => wmayer
2014-03-04 11:33 wmayer Resolution open => fixed
2014-03-04 11:33 wmayer Fixed in Version => 0.14